.cc_desktop_blk {
    border: 0.5px solid #ffffff;
    box-sizing: border-box;
    border-radius: 100px;
    width: 96px;
    height: 27px;
    font-family: Noto Sans TC;
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}
.cc_mobile_blk {
    display: none;
}
.middle {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%);
    display: flex;
    /* border: 1px solid red; */
    align-items: center;
}
.cycle_desktop,
.single_desktop {
    display: flex;
    align-items: center;
}
.cycle_desktop span,
.single_desktop span {
    display: flex;
    align-items: center;
}
.play_desktop {
    display: flex;
    align-items: center;
    margin: 0 25px;
}
.play_desktop span {
    display: flex;
    align-items: center;
}
.play_desktop .Play {
    margin: 0 25px;
    display: flex;
}
.right {
    display: flex;
    align-items: center;
}
.favbtn,
.share {
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    font-family: Noto Sans TC;
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    cursor: pointer;
    /* line-height: 23px; */
}
.favbtn > span,
.share img {
    margin-right: 7px;
}
.share {
    margin-left: 17px;
}
.goRec,
.teacherBtn_mobile {
    cursor: pointer;
    position: absolute;
    top: 24px;
    right: 28px;
    font-family: Noto Sans TC;
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    color: #fff;
}
.backBtn {
    cursor: pointer;
    position: absolute;
    top: 33px;
    left: 33px;
    font-family: Noto Sans TC;
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    color: #fff;
    text-align: center;
}
.teacherBtn_mobile {
    top: 134px;
}
.goRec p,
.teacherBtn_mobile p,
.backBtn p {
    padding: 4px 8px;
    background: rgba(0, 0, 0, 0.3);
}
.share_mobile,
.favbtn_mobile,
.audio_tab {
    display: none;
}
@media (max-width: 991px) {
    #video_playing .video_bar .tool_bar .prev {
        display: none;
    }
    #video_playing .video_bar .tool_bar .next {
        display: none;
    }
    #video_playing .video_bar .tool_bar {
        padding: 0;
        position: relative;
    }
    .play_desktop {
        margin: 0;
        padding: 0;
    }
    .cc_desktop_blk {
        display: none;
    }
    .cc_mobile_blk {
        display: flex;
        align-items: center;
    }
    .cc_mobile_blk span {
        display: flex;
        align-items: center;
    }
    .share_mobile,
    .favbtn_mobile,
    .audio_tab {
        display: flex;
    }
    .audio_tab img {
        width: 24px;
        height: 24px;
    }
    .favbtn_mobile {
        margin: 0 8px;
    }
    .share,
    .favbtn {
        display: none;
    }
    .share_mobile img,
    .favbtn_mobile .heart {
        width: 20px !important;
        height: 20px !important;
        background-size: 20px !important;
    }
    .middle {
        position: absolute;
        top: 0;
        left: 50%;
        transform: translate(-50%);
    }
    .backBtn {
        top: 15px;
        left: 15px;
    }
    .backBtn p {
        display: none;
    }
}

/* .share_btn {
    font-weight: bold;
    font-size: 16px;
    line-height: 42px;
    display: flex;
    align-items: center;
    cursor: pointer;
    padding-top: 4px;
    margin-left: 15px;
}
.share_btn img {
    margin-right: 7px;
} */

.share_blk {
    position: absolute;
    z-index: 999;
    background: #1e1e1e;
    width: 800px;
    height: 276px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 4px;
}
.share_blk .share_top {
    /* border: 1px solid red; */
    padding: 28px 30px;
    display: flex;
    color: #fff;
    justify-content: space-between;
    font-family: Roboto;
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    line-height: 16px;
}
.share_blk .share_center .share_wrapper {
    /* border: 1px solid red; */
    font-family: Roboto;
    font-style: normal;
    font-weight: normal;
    font-size: 12px;
    line-height: 12px;
    height: 100px;
    display: flex;
    justify-content: space-around;
    /* padding: 0px 100px; */
    width: 600px;
    margin: 0 auto;
}
.share_blk .share_center .share_wrapper div {
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
}
.share_blk .share_center .share_wrapper .copy_icon {
    display: none;
}
.share_blk .share_center p {
    color: #fff;
    opacity: 0.6;
    margin-top: 10px;
}
.share_blk .share_bottom {
    width: 600px;
    background: #171717;
    border: 0.5px solid rgba(255, 255, 255, 0.4);
    margin: 0 auto;
    margin-top: 24px;
    font-family: Roboto;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 10px;
    color: #ffffff;
    display: flex;
    justify-content: space-between;
    padding: 16px;
    align-items: center;
}
.share_blk .share_bottom input {
    background-color: unset;
    width: 80%;
    border: unset;
    outline: unset;
}
.share_blk .share_bottom span {
    font-family: Roboto;
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    line-height: 10px;
    color: #a1ccff;
    cursor: pointer;
}
@media (max-width: 1366px) {
    .share_blk {
        height: 200px;
        top: 40%;
        width: 500px;
    }
    .share_blk .share_top {
        padding: 10px 15px;
        font-size: 16px;
    }
    .share_blk .share_center .share_wrapper {
        height: 100px;
        padding: 0px 0px;
        width: 400px;
    }
    .share_blk .share_bottom {
        margin-top: 16px;
        padding: 8px;
        width: 400px;
    }
    .share_blk .share_bottom span {
        font-size: 14px;
    }
}
@media (max-width: 991px) {
    .share_blk {
        padding: 16px 0;
        position: fixed;
        z-index: 999;
        background: #1e1e1e;
        width: 100%;
        height: 174px;
        top: unset;
        left: unset;
        bottom: 0px;
        transform: unset;
        border-radius: 4px;
    }
    .share_blk .share_top {
        padding: 0px 30px 30px 30px;
    }
    .share_blk .share_center {
        display: flex;
        justify-content: center;
        overflow-x: scroll;
    }
    .share_blk .share_center .share_wrapper {
        height: 100px;
        width: 440px;
        display: flex;
        justify-content: center;
        padding: 0px 0px;
        flex-shrink: 0;
    }
    .share_blk .share_center .share_wrapper div {
        width: 70px;
        height: 70px;
        margin-right: 20px;
        flex-shrink: 0;
    }
    .share_blk .share_center div:first-child {
        /* margin-left: 20px; */
    }
    .share_blk .share_center div:last-child {
        /* margin-right: 0px; */
    }
    .share_blk .share_center .share_wrapper .copy_icon {
        display: flex;
    }
}
@media (max-width: 440px) {
    .share_blk .share_center div:first-child {
        margin-left: 50px;
    }
}
.more_btn {
    position: relative;
    width: 23px;
    text-align: center;
    height: 24px;
    padding-top: 2px;
}
#more,
.more_close {
    display: none;
}
#more:checked ~ .more_open {
    display: none;
}
#more:checked ~ .more_close {
    display: block;
}
#more:checked ~ .more_blk {
    opacity: 1;
    z-index: 1;
}
.more_blk {
    position: absolute;
    right: 0;
    top: -150px;
    opacity: 0;
    z-index: -1;
    width: 115px;
    height: 130px;
    transition: all 0.3s ease;
}
.more_blk ul {
    background: #000000;
    border-radius: 4px;
    height: 100%;
    list-style: none;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    padding: 10px 0;
}
.more_blk ul li {
    /* margin-bottom: 8px; */
    text-align: center;
    width: 100px;
    height: 32px;
    line-height: 32px;
    background: #000000;
    box-shadow: 0px 1px 0px rgba(255, 255, 255, 0.25);
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: Noto Sans TC;
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    line-height: 23px;
    color: #ffffff;
}
.more_blk ul li img {
    margin-right: 7px;
    height: 21px;
}
